Package org.eclipse.birt.report.model.api

# Class SortHintHandle

java.lang.Object
org.eclipse.birt.report.model.api.ElementDetailHandle
org.eclipse.birt.report.model.api.ValueHandle
org.eclipse.birt.report.model.api.StructureHandle
org.eclipse.birt.report.model.api.SortHintHandle

public class SortHintHandle extends StructureHandle
This class represents sort hint handle.

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.StructureHandle

`structContext`

### Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`elementHandle`

## Constructor Summary

Constructors
Constructor
Description
`SortHintHandle(SimpleValueHandle valueHandle, int index)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getColumnName()`
Gets the column name.
`String`
`getDirection()`
Gets the sort direction of this result set column.
`String`
`getNullValueOrdering()`
Gets the null value ordering.
`int`
`getPosition()`
Gets the index position of a result set column.
`boolean`
`isOptional()`
Indicates whether this sort key can be excluded at runtime.
`void`
`setColumnName(String columnName)`
Sets the column Name.
`void`
`setDirection(String direction)`
Sets the direction value.
`void`
`setNullValueOrdering(String nullValueOrdering)`
Sets the null value ordering.
`void`
`setOptional(boolean isOptional)`
Sets the isOptional value.
`void`
`setPosition(int position)`
Sets the index position of a result set column.

### Methods inherited from class org.eclipse.birt.report.model.api.StructureHandle

`drop, getContext, getDefn, getExpressionProperty, getExternalizedValue, getExternalizedValue, getIntProperty, getMember, getProperty, getPropertyDefn, getStringProperty, getStructure, isDesignTime, isLocal, iterator, setDesignTime, setExpressionProperty, setProperty, setPropertySilently`

### Methods inherited from class org.eclipse.birt.report.model.api.ValueHandle

`getReference`

### Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`getDesign, getElement, getElementHandle, getModule`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SortHintHandle

public SortHintHandle(SimpleValueHandle valueHandle, int index)

Parameters:
  `valueHandle` - the value handle for computed column list of one property
  `index` - the position in the list.

## Method Details

### getColumnName

public String getColumnName()
Gets the column name.

Returns:
  the column name.

### setColumnName

public void setColumnName(String columnName) throws SemanticException
Sets the column Name.

Parameters:
  `columnName` - the column name.
Throws:
  `SemanticException`

### getPosition

public int getPosition()
Gets the index position of a result set column.

Returns:
  the index position of a result set column.

### setPosition

public void setPosition(int position) throws SemanticException
Sets the index position of a result set column.

Parameters:
  `position` - the index position of a result set column.
Throws:
  `SemanticException`

### getDirection

public String getDirection()
Gets the sort direction of this result set column. The possible values are define in `DesignChoiceConstants`, and they are:

- SORT_DIRECTION_ASC
- SORT_DIRECTION_DESC

Returns:
  the sort direction of this result set column.

### setDirection

public void setDirection(String direction) throws SemanticException
Sets the direction value. It indicates the sort direction of this result set column. The possible values are define in `DesignChoiceConstants`, and they are:

- SORT_DIRECTION_ASC
- SORT_DIRECTION_DESC

Parameters:
  `direction` - the sort direction of this result set column.
Throws:
  `SemanticException`

### getNullValueOrdering

public String getNullValueOrdering()
Gets the null value ordering. It indicates the ordering of null vs. non-null values in the sort order. The possible values are define in `DesignChoiceConstants`, and they are:

- NULL_VALUE_ORDERING_TYPE_UNKNOWN
- NULL_VALUE_ORDERING_TYPE_NULLISFIRST
- NULL_VALUE_ORDERING_TYPE_NULLISLAST

Returns:
  the null value ordering.

### setNullValueOrdering

public void setNullValueOrdering(String nullValueOrdering) throws SemanticException
Sets the null value ordering. It indicates the ordering of null vs. non-null values in the sort order. The possible values are define in `DesignChoiceConstants`, and they are:

- NULL_VALUE_ORDERING_TYPE_UNKNOWN
- NULL_VALUE_ORDERING_TYPE_NULLISFIRST
- NULL_VALUE_ORDERING_TYPE_NULLISLAST

Parameters:
  `nullValueOrdering` - the null value ordering.
Throws:
  `SemanticException`

### isOptional

public boolean isOptional()
Indicates whether this sort key can be excluded at runtime.

Returns:
  <true> if this sort key can be excluded at runtime, otherwise return <false>.

### setOptional

public void setOptional(boolean isOptional)
Sets the isOptional value.

Parameters:
  `isOptional` - <true> if this sort key can be excluded at runtime, otherwise return <false>.